## org.apache.mahout.clustering.lda
Class LDAInference

    java.lang.Object
      org.apache.mahout.clustering.lda.LDAInference

    public class LDAInference

extends java.lang.Object

Class for performing infererence on a document, which involves computing (an approximation to) p(word|topic) for each word and topic, and a prior distribution p(topic) for each topic.

Nested Class Summary
`static class` `LDAInference.InferredDocument` An estimate of the probabilitys for each document.

Constructor Summary
`LDAInference(LDAState state)`

Method Summary
`LDAInference.InferredDocument` `infer(Vector wordCounts)` Performs inference on the given document, returning an InferredDocument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAInference

    public LDAInference(LDAState state)

Method Detail

### infer

    public LDAInference.InferredDocument infer(Vector wordCounts)

  Performs inference on the given document, returning an InferredDocument.

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.